List project budget product items
curl --request GET \
--url https://www.ruddr.io/api/workspace/project-budget-product-items \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/project-budget-product-items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/project-budget-product-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/project-budget-product-items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/project-budget-product-items"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.ruddr.io/api/workspace/project-budget-product-items")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/project-budget-product-items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "b3e7c1a4-9f52-4d8b-a6e0-7c3d5f2e8b1a",
"fee": 8500,
"description": "Annual software license",
"createdAt": "2026-06-04T14:30:00.000Z",
"project": {
"id": "d4f9a2c7-1e6b-4a3d-b8f5-2c0e7d9a4b6c",
"name": "Enterprise Software Rollout",
"client": {
"id": "e5a0b3d8-2f7c-4e1a-c906-3d1f8e0b5c7d",
"name": "Acme Corporation"
}
},
"invoiceItem": {
"id": "f6b1c4e9-3a8d-4f2b-d0b7-4e2f9f1c6d8e",
"name": "Software Licenses"
}
}
],
"hasMore": false
}{
"status": 400,
"message": "Parameter 'startingAfter' is not a valid UUID."
}Project Budget Product Items
List project budget product items
GET
/
project-budget-product-items
List project budget product items
curl --request GET \
--url https://www.ruddr.io/api/workspace/project-budget-product-items \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/project-budget-product-items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/project-budget-product-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/project-budget-product-items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/project-budget-product-items"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.ruddr.io/api/workspace/project-budget-product-items")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/project-budget-product-items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "b3e7c1a4-9f52-4d8b-a6e0-7c3d5f2e8b1a",
"fee": 8500,
"description": "Annual software license",
"createdAt": "2026-06-04T14:30:00.000Z",
"project": {
"id": "d4f9a2c7-1e6b-4a3d-b8f5-2c0e7d9a4b6c",
"name": "Enterprise Software Rollout",
"client": {
"id": "e5a0b3d8-2f7c-4e1a-c906-3d1f8e0b5c7d",
"name": "Acme Corporation"
}
},
"invoiceItem": {
"id": "f6b1c4e9-3a8d-4f2b-d0b7-4e2f9f1c6d8e",
"name": "Software Licenses"
}
}
],
"hasMore": false
}{
"status": 400,
"message": "Parameter 'startingAfter' is not a valid UUID."
}The budget for a product invoice item on a project. Only available for billable projects using a budget and the budget mode is either “detailed” or “aggregated”.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.
A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.
The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.
A project ID (uuid) used to filter objects for a specific project.